Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename escallmatch

# Tests disabled due to the missing babel suite
%global enable_tests 0

Name:		nodejs-escallmatch
Version:	1.5.0
Release:	alt1_4
Summary:	ECMAScript CallExpression matcher made from function/method signature

License:	MIT
URL:		https://github.com/twada/escallmatch.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	https://raw.githubusercontent.com/twada/escallmatch/master/LICENSE


BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(array-filter)
BuildRequires:	npm(array-foreach)
BuildRequires:	npm(array-map)
BuildRequires:	npm(array-reduce)
BuildRequires:	npm(call-matcher)
BuildRequires:	npm(component-indexof)
BuildRequires:	npm(deep-equal)
BuildRequires:	npm(estraverse)
BuildRequires:	npm(esprima)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(espurify)
%endif
Source44: import.info

%description
ECMAScript CallExpression matcher made from function/method signature


%prep
%setup -q -n package
cp -p %{SOURCE1} LICENSE

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 1.5.0-alt1_4
- new version

